MP4(3)

NAME

MP4SetHintTrackSdp - Set the SDP media level description of the hint track

SYNTAX

#include <mp4.h>

bool MP4SetHintTrackSdp(
    MP4FileHandle hFile,
    const char* sdpString
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

sdpString
    Specifies the new value of the hint track sdp string.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetHintTrackSdp sets the SDP (IETF RFC 2327) media level fragment for the hint track. This is used by a streaming server to create a complete SDP description of the multimedia session represented by the file.

SEE ALSO

MP4(3) MP4GetHintTrackSdp(3) MP4AppendHintTrackSdp(3)